Index: src/Step_DIIS.f90
===================================================================
--- src/Step_DIIS.f90	(revision 11)
+++ src/Step_DIIS.f90	(revision 12)
@@ -2,8 +2,43 @@
 !C  XPARAM = input parameter vector (Geometry).
 !C  Grad = input gradient vector.
       SUBROUTINE Step_DIIS(XP,XPARAM,GP,GRAD,HP,HEAT,Hess,NVAR,FRST)
-    !SUBROUTINE DIIS(XPARAM,STEP,GRAD,HP,HEAT,Hess,NVAR,FRST)
-!      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
+
+!----------------------------------------------------------------------
+! This routine was adapted from the public domain mopac6 diis.f 
+!  source file (c) 2009, Stewart Computational Chemistry.
+!  <http://www.openmopac.net/Downloads/Downloads.html>
+!
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
       IMPLICIT NONE
       integer, parameter :: KINT = kind(1)
       integer, parameter :: KREAL = kind(1.0d0)
Index: src/ConvertZmat_cart.f90
===================================================================
--- src/ConvertZmat_cart.f90	(revision 11)
+++ src/ConvertZmat_cart.f90	(revision 12)
@@ -4,6 +4,37 @@
 
         SUBROUTINE ConvertZmat_cart(iat,ind_zmat,val_zmat,x,y,z)
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
         use Path_module, only : Nat, KINT, KREAL
 
         IMPLICIT NONE
Index: src/ReadInput_gaussian.f90
===================================================================
--- src/ReadInput_gaussian.f90	(revision 11)
+++ src/ReadInput_gaussian.f90	(revision 12)
@@ -2,6 +2,37 @@
 
 ! This routine reads an input template for Gaussian
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
   use VarTypes
   use Path_module
   use Io_module
Index: src/WriteList.f90
===================================================================
--- src/WriteList.f90	(revision 11)
+++ src/WriteList.f90	(revision 12)
@@ -1,4 +1,34 @@
  SUBROUTINE WriteList(Input,Unit)
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
 ! This routine reads an input template for Siesta
 
Index: src/Step_GEDIIS_All.f90
===================================================================
--- src/Step_GEDIIS_All.f90	(revision 11)
+++ src/Step_GEDIIS_All.f90	(revision 12)
@@ -1,8 +1,44 @@
      ! Geom = input parameter vector (Geometry), Grad = input gradient vector, HEAT is Energy(Geom)
       SUBROUTINE Step_GEDIIS_All(NGeomF,IGeom,Step,Geom,Grad,HEAT,Hess,NCoord,allocation_flag,Tangent)
-      !SUBROUTINE Step_GEDIIS(Geom_new,Geom,Grad,HEAT,Hess,NCoord,FRST)
+
+!----------------------------------------------------------------------
+! This routine was adapted from the public domain mopac6 diis.f 
+!  source file (c) 2009, Stewart Computational Chemistry.
+!  <http://www.openmopac.net/Downloads/Downloads.html>
+!
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
     use Io_module
-    use Path_module, only : Nom, Atome, OrderInv, indzmat, Pi, Nat, Vfree
+    use Path_module, only :  Vfree
       IMPLICIT NONE
 
       INTEGER(KINT) :: NGeomF,IGeom
Index: src/Header.f90
===================================================================
--- src/Header.f90	(revision 11)
+++ src/Header.f90	(revision 12)
@@ -1,6 +1,37 @@
       subroutine Header(String)
 ! This short subroutine print a header in a nice way
 
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
          IMPLICIT NONE
 
 
@@ -17,7 +48,7 @@
          CHARACTER(70) :: Head1,Sep
          CHARACTER(70) :: String2
          INTEGER :: LenS,Len1,Pos1
-         INTEGER :: I,N,Idx,PosB,PosE
+         INTEGER :: Idx,PosE
          LOGICAL :: Debug
 
 
Index: src/CalcRmsd.f90
===================================================================
--- src/CalcRmsd.f90	(revision 11)
+++ src/CalcRmsd.f90	(revision 12)
@@ -27,6 +27,36 @@
 ! License along with this library; if not, write to the Free Software
 ! Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 !----------------------------------------------------------------------------
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
       subroutine CalcRmsd(Nat,x0,y0,z0, x2,y2,z2,U,rmsd,FRot,FAlign)
 !-----------------------------------------------------------------------
Index: src/ZmatBuild.f90
===================================================================
--- src/ZmatBuild.f90	(revision 11)
+++ src/ZmatBuild.f90	(revision 12)
@@ -14,13 +14,42 @@
 ! after the atom was added to ind_zmat for the three first atoms,
 ! but before for all others. Now, it starts at zero and it
 ! is increased before the atom is added to ind_zmat
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
+!
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
 
-      use Path_module, only : Nat, NMaxL, max_Z, KINT, KREAL,Pi
+      use Path_module, only : Nat, NMaxL,  KINT, KREAL,Pi
       use Io_module
 
       IMPLICIT NONE
 
-
       INTEGER(KINT) :: Izm,I,IAf,IAt,IAt0,J,Jat
       INTEGER(KINT) :: n1, NMaxCF, NMinCP, VCF
       INTEGER(KINT) :: IAta,IAtd,IAtDh,IAti,IAtv,ICat
Index: src/Path.f90
===================================================================
--- src/Path.f90	(revision 11)
+++ src/Path.f90	(revision 12)
@@ -1,6 +1,39 @@
 ! This programs generates and optimizes a reaction path
 ! between at least two endpoints.
+
+!----------------------------------------------------------------------
+!  Copyright 2003-2014 Ecole Normale Supérieure de Lyon, 
+!  Centre National de la Recherche Scientifique,
+!  Université Claude Bernard Lyon 1. All rights reserved.
 !
+!  This work is registered with the Agency for the Protection of Programs 
+!  as IDDN.FR.001.100009.000.S.P.2014.000.30625
+!
+!  Authors: P. Fleurat-Lessard, P. Dayal
+!  Contact: optnpath@gmail.com
+!
+! This file is part of "Opt'n Path".
+!
+!  "Opt'n Path" is free software: you can redistribute it and/or modify
+!  it under the terms of the GNU Affero General Public License as
+!  published by the Free Software Foundation, either version 3 of the License,
+!  or (at your option) any later version.
+!
+!  "Opt'n Path" is distributed in the hope that it will be useful,
+!  but WITHOUT ANY WARRANTY; without even the implied warranty of
+!
+!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+!  GNU Affero General Public License for more details.
+!
+!  You should have received a copy of the GNU Affero General Public License
+!  along with "Opt'n Path". If not, see <http://www.gnu.org/licenses/>.
+!
+! Contact The Office of Technology Licensing, valorisation@ens-lyon.fr,
+! for commercial licensing opportunities.
+!----------------------------------------------------------------------
+
+
+!
 ! It uses NAMELIST for input, see below !
 !
 ! v3.0
@@ -228,6 +261,14 @@
 ! AnaList: list of variables, if present and if AnaGeom=T then Opt'n Path
 ! will read it and print the values of the variable in a Path.dat file
 ! If AnaGeom is T but Analist is not given, then Path.dat just contains the energy. 
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+! 2014 March Opt'n Path v1.50 Released under AGPL
+! We used this release to clean the source files (and delete some unused files!)
+! The Chamfre reactive Force field is not public and has been removed:
+! if you want it, contact optnpath@gmail.com to see how to get it.
+! it was anyway an old version of CH4+Ni(111) with old parameters.
+!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
 PROGRAM PathOpt
 
@@ -280,7 +321,7 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-  LOGICAL :: Debug, Fini,Flag_Opt_Geom,TChk
+  LOGICAL :: Debug, Fini,Flag_Opt_Geom
 
 !  INTEGER(KINT), EXTERNAL :: Iargc
   INTEGER(KINT), EXTERNAL ::  ConvertNumAt
@@ -396,10 +437,15 @@
   ! 
   ! We print the Version info in file
   !
-  WRITE(*,'(1X,A)') "Opt'n Path v1.49 (c) PFL/PD 2007-2013"
+  WRITE(*,'(1X,A)') "Opt'n Path v1.50 (c) PFL/PD 2003-2014"
+  WRITE(*,'(1X,A)') "Contact: optnpath@gmail.com"
 
   ! We read the files  names
 !  SELECT CASE (iargc())
+
+
+
+
   SELECT CASE (command_argument_count())
   CASE (2)
      call getarg(1,FileIn)
